with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "0.92.0";
  name = "osm2pgsql-${version}";

  src = fetchFromGitHub {
    owner = "openstreetmap";
    repo = "osm2pgsql";
    rev = version;
    sha256 = "1wf3xd33glf4kf34yx7ljwzmn24iar1rb0zqf8m2qclqs169f8dz";
  };

  #nativeBuildInputs = [ ];
  buildInputs = [
    boost
    bzip2
    cmake
    expat
    geos
    #libressl    # TLS, crypto implementation
    lua
    openssl     # TLS, crypto implementation
    python python27Packages.psycopg2 # regression tests
    postgresql
    proj
    zlib
  ];

  #preConfigure = ''
  #'';
  #buildPhase = ''jam "-j$NIX_BUILD_CORES" '';
  #installPhase = ''
  #'';

  meta = with stdenv.lib; {
    homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
    description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
    #license = licenses.gpl2;
    #maintainers = [ maintainers.phunehehe ];
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    #maintainers = [ maintainers.jpierre03 ];
  };
}

